Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 1473663 - Review Request: perl-Shell-Guess - Make an educated guess about the shell in use
Review Request: perl-Shell-Guess - Make an educated guess about the shell in use
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On: 1473656
Blocks: 1473678 1473705
  Show dependency treegraph
 
Reported: 2017-07-21 08:00 EDT by Petr Pisar
Modified: 2017-08-01 08:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Shell-Guess-0.06-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 08:43:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2017-07-21 08:00:51 EDT
Spec URL: https://ppisar.fedorapeople.org/perl-Shell-Guess/perl-Shell-Guess.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Shell-Guess/perl-Shell-Guess-0.06-1.fc27.src.rpm
Description:
The Shell::Guess Perl module makes a reasonably aggressive attempt to
determine the shell being employed by the user, either the shell that executed
the Perl script directly, or the users' login shell.

Fedora Account System Username: ppisar
Comment 1 Jitka Plesnikova 2017-07-31 08:28:57 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Shell-Guess-0.06-1.fc27.noarch.rpm | sort | uniq -c
      1 perl(File::Spec)
      1 perl(:MODULE_COMPAT_5.26.0)
      1 perl(strict)
      1 perl(Unix::Process)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Shell-Guess-0.06-1.fc27.noarch.rpm | sort | uniq -c
      1 perl(Shell::Guess) = 0.06
      1 perl-Shell-Guess = 0.06-1.fc27
Binary provides are Ok.

$ rpmlint ./perl-Shell-Guess*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

The package looks good.
Approved
Comment 2 Gwyn Ciesla 2017-08-01 08:22:10 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Shell-Guess
Comment 3 Petr Pisar 2017-08-01 08:43:17 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.